Bug 1044981 - [doc] [rfe] support setopt
Summary: [doc] [rfe] support setopt
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ales Kozumplik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-19 11:24 UTC by Rahul Sundaram
Modified: 2014-09-30 23:41 UTC (History)
4 users (show)

Fixed In Version: dnf-0.4.10-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-04 19:53:37 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rahul Sundaram 2013-12-19 11:24:02 UTC
Description of problem:


yum has a setopt option which is quite useful

       --setopt=option=value
              Set any config option in yum config or repo files.  For  options
              in  the  global  config just use: --setopt=option=value for repo
              options use: --setopt=repoid.option=value

Comment 1 Ales Kozumplik 2013-12-19 13:03:43 UTC
this is supported already, just not yet documented.

Comment 2 Ales Kozumplik 2013-12-19 13:06:59 UTC
Fixed by d21561b, will be included in dnf-0.4.10.

Comment 3 Fedora Update System 2014-01-02 10:10:39 UTC
dnf-0.4.10-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.10-1.fc20

Comment 4 Fedora Update System 2014-01-03 08:42:01 UTC
Package dnf-0.4.10-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.4.10-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0089/dnf-0.4.10-1.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-01-04 19:53:37 UTC
dnf-0.4.10-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.